## r-bioc-biocbaseutils 1.0.0%2Bdfsg

=== debian/changelog ===
r-bioc-biocbaseutils (1.0.0+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 08:29:33 +0100

r-bioc-biocbaseutils (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1024567)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 10:28:56 +0100

## r-bioc-biocbaseutils 1.0.0+dfsg

=== DESCRIPTION ===
Package: BiocBaseUtils
Title: General utility functions for developing Bioconductor packages
Version: 1.0.0
Authors@R: c(
  person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
    c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")
  ),
  person("Martin", "Morgan", , "martin.morgan@roswellpark.org", "ctb"
  ),
  person("Hervé", "Pagès", , "hpages.on.github@gmail.com", "ctb")
  )
Description: The package provides utility functions related to package
  development. These include functions that replace slots, and selectors
  for show methods. It aims to coalesce the various helper functions
  often re-used throughout the Bioconductor ecosystem.
Imports: methods, utils
Depends: R (>= 4.2.0)
Suggests: knitr, rmarkdown, BiocStyle, tinytest
License: Artistic-2.0
Encoding: UTF-8
biocViews: Software, Infrastructure
BugReports: https://www.github.com/Bioconductor/BiocBaseUtils/issues
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.1
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/BiocBaseUtils
git_branch: RELEASE_3_16
git_last_commit: c6c2cde
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: no
Packaged: 2022-11-01 20:55:34 UTC; biocbuild
Author: Marcel Ramos [aut, cre] (<https://orcid.org/0000-0002-3242-0582>),
  Martin Morgan [ctb],
  Hervé Pagès [ctb]
Maintainer: Marcel Ramos <marcel.ramos@roswellpark.org>

=== debian/control ===
Source: r-bioc-biocbaseutils
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocbaseutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocbaseutils.git
Homepage: https://bioconductor.org/packages/BiocBaseUtils/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biocbaseutils
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: General utility functions for developing Bioconductor packages
 The package provides utility functions related to package
 development. These include functions that replace slots, and selectors
 for show methods. It aims to coalesce the various helper functions
 often re-used throughout the Bioconductor ecosystem.

## r-bioc-biocbaseutils 1.2.0+dfsg

=== debian/changelog ===
r-bioc-biocbaseutils (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 07:49:52 +0200

## r-bioc-biocbaseutils 1.4.0%2Bdfsg

=== debian/changelog ===
r-bioc-biocbaseutils (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 16:09:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocbaseutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocbaseutils.git
 Homepage: https://bioconductor.org/packages/BiocBaseUtils/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/BiocBaseUtils.html .*/BiocBaseUtils_(.*).tar.gz

## r-bioc-biocbaseutils 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocBaseUtils
 Title: General utility functions for developing Bioconductor packages
-Version: 1.0.0
+Version: 1.4.0
 Authors@R: c(
   person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
     c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")
@@ -21,15 +21,15 @@
 biocViews: Software, Infrastructure
 BugReports: https://www.github.com/Bioconductor/BiocBaseUtils/issues
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/BiocBaseUtils
-git_branch: RELEASE_3_16
-git_last_commit: c6c2cde
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_18
+git_last_commit: 441d95a
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2022-11-01 20:55:34 UTC; biocbuild
+Packaged: 2023-10-24 20:25:24 UTC; biocbuild
 Author: Marcel Ramos [aut, cre] (<https://orcid.org/0000-0002-3242-0582>),
   Martin Morgan [ctb],
   Hervé Pagès [ctb]

## r-bioc-biocbaseutils 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocBaseUtils
 Title: General utility functions for developing Bioconductor packages
-Version: 1.4.0
+Version: 1.6.0
 Authors@R: c(
   person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
     c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")
@@ -21,15 +21,17 @@
 biocViews: Software, Infrastructure
 BugReports: https://www.github.com/Bioconductor/BiocBaseUtils/issues
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 VignetteBuilder: knitr
+Date: 2024-04-29
 git_url: https://git.bioconductor.org/packages/BiocBaseUtils
-git_branch: RELEASE_3_18
-git_last_commit: 441d95a
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 2a04686
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 20:25:24 UTC; biocbuild
+Packaged: 2024-05-01 02:44:51 UTC; biocbuild
 Author: Marcel Ramos [aut, cre] (<https://orcid.org/0000-0002-3242-0582>),
   Martin Morgan [ctb],
   Hervé Pagès [ctb]

=== debian/changelog ===
r-bioc-biocbaseutils (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:13:45 +0200

r-bioc-biocbaseutils (1.6.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:16:41 +0200

## r-bioc-biocbaseutils 1.8.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: BiocBaseUtils
 Title: General utility functions for developing Bioconductor packages
-Version: 1.6.0
+Version: 1.8.0
 Authors@R: c(
-  person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
+  person("Marcel", "Ramos", , "marcel.ramos@sph.cuny.edu",
     c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")
   ),
   person("Martin", "Morgan", , "martin.morgan@roswellpark.org", "ctb"
@@ -21,18 +21,18 @@
 biocViews: Software, Infrastructure
 BugReports: https://www.github.com/Bioconductor/BiocBaseUtils/issues
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
-Date: 2024-04-29
+Date: 2024-08-22
 git_url: https://git.bioconductor.org/packages/BiocBaseUtils
-git_branch: RELEASE_3_19
-git_last_commit: 2a04686
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: ad54d83
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:44:51 UTC; biocbuild
+Packaged: 2024-10-29 23:41:08 UTC; biocbuild
 Author: Marcel Ramos [aut, cre] (<https://orcid.org/0000-0002-3242-0582>),
   Martin Morgan [ctb],
   Hervé Pagès [ctb]
-Maintainer: Marcel Ramos <marcel.ramos@roswellpark.org>
+Maintainer: Marcel Ramos <marcel.ramos@sph.cuny.edu>

## r-bioc-biocbaseutils 1.8.0+dfsg

=== debian/changelog ===
r-bioc-biocbaseutils (1.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 15:16:54 +0100

r-bioc-biocbaseutils (1.8.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 21:16:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocbaseutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocbaseutils.git
 Homepage: https://bioconductor.org/packages/BiocBaseUtils/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
